Get mail by ID
curl --request GET \
--url https://bc-correios.sandbox.lerian.net/api/v1/correios/mails/{id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://bc-correios.sandbox.lerian.net/api/v1/correios/mails/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bc-correios.sandbox.lerian.net/api/v1/correios/mails/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://bc-correios.sandbox.lerian.net/api/v1/correios/mails/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"aiInsight": "Resolução altera normas de câmbio para exportações acima de USD 50k.",
"attachments": [
{
"contentType": "<string>",
"filename": "<string>",
"id": "<string>",
"sizeBytes": 123
}
],
"bcbConfirmationId": "20260404123456789",
"bcbMessageId": "BCB-MSG-2026-003456",
"body": "<p>Prezados, informamos que...</p>",
"contentType": "text/html",
"createdAt": "2026-03-28T10:31:05Z",
"destination": "DEINF",
"folder": "INBOX",
"id": "550e8400-e29b-41d4-a716-446655440000",
"isRead": true,
"readAt": "2026-03-28T11:00:00Z",
"receivedAt": "2026-03-28T10:30:00Z",
"sendStatus": "CONFIRMED",
"sender": "BACEN/DENOR",
"sentAt": "2026-03-28T10:31:05Z",
"subject": "Resolução BCB nº 400 - Alteração de normas cambiais",
"tenantId": "c7aab4e8-1234-5678-9abc-def012345678",
"type": "RESOLUTION",
"updatedAt": "2026-03-28T14:22:00Z",
"aiError": "<string>",
"metadata": {}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Get mail by ID
Retrieves the full content of a mail including body and attachment list. Emits a VIEW_MAIL audit event.
GET
/
api
/
v1
/
correios
/
mails
/
{id}
Get mail by ID
curl --request GET \
--url https://bc-correios.sandbox.lerian.net/api/v1/correios/mails/{id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://bc-correios.sandbox.lerian.net/api/v1/correios/mails/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bc-correios.sandbox.lerian.net/api/v1/correios/mails/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://bc-correios.sandbox.lerian.net/api/v1/correios/mails/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"aiInsight": "Resolução altera normas de câmbio para exportações acima de USD 50k.",
"attachments": [
{
"contentType": "<string>",
"filename": "<string>",
"id": "<string>",
"sizeBytes": 123
}
],
"bcbConfirmationId": "20260404123456789",
"bcbMessageId": "BCB-MSG-2026-003456",
"body": "<p>Prezados, informamos que...</p>",
"contentType": "text/html",
"createdAt": "2026-03-28T10:31:05Z",
"destination": "DEINF",
"folder": "INBOX",
"id": "550e8400-e29b-41d4-a716-446655440000",
"isRead": true,
"readAt": "2026-03-28T11:00:00Z",
"receivedAt": "2026-03-28T10:30:00Z",
"sendStatus": "CONFIRMED",
"sender": "BACEN/DENOR",
"sentAt": "2026-03-28T10:31:05Z",
"subject": "Resolução BCB nº 400 - Alteração de normas cambiais",
"tenantId": "c7aab4e8-1234-5678-9abc-def012345678",
"type": "RESOLUTION",
"updatedAt": "2026-03-28T14:22:00Z",
"aiError": "<string>",
"metadata": {}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Autorizaciones
JWT bearer token issued by the identity provider.
Parámetros de ruta
Mail ID (UUID v4)
Ejemplo:
"550e8400-e29b-41d4-a716-446655440000"
Respuesta
OK
Ejemplo:
"Resolução altera normas de câmbio para exportações acima de USD 50k."
Show child attributes
Show child attributes
Ejemplo:
"20260404123456789"
Ejemplo:
"BCB-MSG-2026-003456"
Ejemplo:
"<p>Prezados, informamos que...</p>"
Ejemplo:
"text/html"
Ejemplo:
"2026-03-28T10:31:05Z"
Ejemplo:
"DEINF"
Ejemplo:
"INBOX"
Ejemplo:
"550e8400-e29b-41d4-a716-446655440000"
Ejemplo:
true
Ejemplo:
"2026-03-28T11:00:00Z"
Ejemplo:
"2026-03-28T10:30:00Z"
Ejemplo:
"CONFIRMED"
Ejemplo:
"BACEN/DENOR"
Ejemplo:
"2026-03-28T10:31:05Z"
Ejemplo:
"Resolução BCB nº 400 - Alteração de normas cambiais"
Ejemplo:
"c7aab4e8-1234-5678-9abc-def012345678"
Ejemplo:
"RESOLUTION"
Ejemplo:
"2026-03-28T14:22:00Z"
Show child attributes
Show child attributes
¿Esta página le ayudó?

